#ifndef NH_CTRL_API_H
#define NH_CTRL_API_H

#include "nh_shared_if.h"

typedef struct {
    nh_shared_if_t  *shared_if;
    nh_osa_t        *osa;
    void            *user_data;

    /* Private states */
} nh_ctrl_api_t;

nh_ret_t nh_ctrl_api_init(nh_ctrl_api_t *api);
void     nh_ctrl_api_task(nh_ctrl_api_t *api);

#endif  // NH_CTRL_API_H
