/* Private */
#include "nh_ctrl_api.h"

/* Nano-PB */
#include "pb_decode.h"
#include "pb_encode.h"

/* PB config */
#include "esp_hosted_config.pb.h"

#define NH_RECEIVE_TIMEOUT_MSEC 5000
#define NH_COMMAND_TIMEOUT_MSEC 30000

nh_ret_t nh_ctrl_api_init(nh_ctrl_api_t *api) {
    nh_ret_t ret = NH_RET_SUCCESS;

    return ret;
}

void nh_ctrl_api_task(nh_ctrl_api_t *api) {
    nh_ret_t ret = NH_RET_SUCCESS;

    uint8_t *rx_payload;
    uint32_t rx_payload_size;

    ret = nh_shared_if_ctrl_recv(api->shared_if, &rx_payload, &rx_payload_size, NH_RECEIVE_TIMEOUT_MSEC);
    if (ret != NH_RET_SUCCESS) {
        return;
    }

    /* TODO: process SERIAL data */
    nh_shared_if_ctrl_free(api->shared_if, rx_payload);
}